%global momorel 1
%global md5sum_src0 b63c626baf1fc385df04d88bc9628a4a

Summary: Raw VBI, Teletext and Closed Caption decoding library
Name: zvbi
Version: 0.2.25
Release: %{momorel}m%{?dist}
License: GPL
URL: http://zapping.sourceforge.net/ZVBI/
Group: System Environment/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/zapping/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: chkconfig
BuildRequires: xorg-x11-font-utils
BuildRequires: fontconfig-devel
BuildRequires: libpng-devel
BuildRequires: doxygen
BuildRequires: gettext

%description
ZVBI provides functions to capture and decode VBI data. The vertical blanking
interval (VBI) is an interval in a television signal that temporarily suspends
transmission of the signal for the electron gun to move back up to the first
line of the television screen to trace the next screen field. The vertical
blanking interval can be used to carry data, since anything sent during the VBI
would naturally not be displayed; various test signals, closed captioning, and
other digital data can be sent during this time period.

%package devel
Summary: Header files and static libraries from zvdi
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on zvdi.

%prep
%setup -q

%build
%configure \
	--enable-v4l \
	--enable-dvb \
	--enable-proxy \
	--disable-rpath
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# generate and install fonts
mkdir -p %{buildroot}%{_datadir}/fonts/zvbi
pushd contrib
./x11font
bdftopcf teletext.bdf | gzip -9 -c > %{buildroot}%{_datadir}/fonts/%{name}/teletext.pcf.gz
bdftopcf teletexti.bdf | gzip -9 -c > %{buildroot}%{_datadir}/fonts/%{name}/teletexti.pcf.gz
bdftopcf caption.bdf | gzip -9 -c > %{buildroot}%{_datadir}/fonts/%{name}/caption.pcf.gz
bdftopcf captioni.bdf | gzip -9 -c > %{buildroot}%{_datadir}/fonts/%{name}/captioni.pcf.gz
popd

# install init script
mkdir -p %{buildroot}%{_sysconfdir}/init.d
install -m 755 daemon/zvbid.init %{buildroot}%{_sysconfdir}/init.d/zvbid

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig
/sbin/chkconfig --add zvbid

%postun
/sbin/ldconfig
if [ "$1" -ge "1" ]; then
    /sbin/service zvbid condrestart >/dev/null 2>&1 || :
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service zvbid stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del zvbid
fi

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog* INSTALL NEWS README TODO
%{_sysconfdir}/init.d/zvbid
%{_bindir}/zvbi-chains
%{_bindir}/zvbi-ntsc-cc
%{_libdir}/libzvbi-chains.so.*
%{_libdir}/libzvbi.so.*
%{_sbindir}/zvbid
%{_datadir}/fonts/zvbi
%{_datadir}/locale/*/LC_MESSAGES/zvbi.mo
%{_mandir}/man1/zvbi-chains.1*
%{_mandir}/man1/zvbi-ntsc-cc.1*
%{_mandir}/man1/zvbid.1*

%files devel
%defattr(-,root,root)
%{_includedir}/libzvbi.h
%{_libdir}/pkgconfig/zvbi-0.2.pc
%{_libdir}/libzvbi-chains.a
%{_libdir}/libzvbi-chains.so
%{_libdir}/libzvbi.a
%{_libdir}/libzvbi.so

%changelog
* Mon Mar 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.25-1m)
- initial package for kdetv-0.8.9
